WhatsApp Use
Whatsapp

Sync changed WhatsApp records

GET
/v1/whatsapp/sync

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

cursor?integer
limit?integer

Header Parameters

X-WhatsApp-Use-Connection-Id?string

Required when the API key can access multiple WhatsApp connections.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/whatsapp/sync"
{  "conversations": [    {      "conversation_id": "string",      "chat_jid": "string",      "kind": "string",      "subject": "string",      "direct_person_id": "string",      "is_archived": true,      "last_message_at": "2019-08-24T14:15:22Z",      "participants": [        {          "participant_jid": "string",          "person_id": "string",          "role": "string"        }      ],      "seq": 0    }  ],  "contacts": [    {      "person_id": "string",      "display_name": "string",      "first_name": "string",      "last_name": "string",      "company": "string",      "whatsapp_push_name": "string",      "phone_e164": "string",      "phone_jid": "string",      "lid_jid": "string"    }  ],  "messages": [    {      "message_id": "string",      "conversation_id": "string",      "chat_jid": "string",      "wa_message_id": "string",      "sender_jid": "string",      "sender_push_name": "string",      "direction": "string",      "is_from_me": true,      "content_type": "string",      "body": "string",      "status": "string",      "reply_to_wa_id": "string",      "reactions": {},      "media": {},      "sent_at": "2019-08-24T14:15:22Z",      "received_at": "2019-08-24T14:15:22Z",      "edited_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z",      "seq": 0    }  ],  "cursor": 0,  "has_more": true}
{  "error": "string"}